import { SYSTEM } from "../config/system.mjs"

export default class CthulhuEternalRitual extends foundry.abstract.TypeDataModel {
  static defineSchema() {
    const fields = foundry.data.fields
    const requiredInteger = { required: true, nullable: false, integer: true }
    const schema = {}

    schema.ritualType = new fields.StringField({ required: true, initial: "simple", choices: SYSTEM.RITUAL_TYPES }) 
    schema.studyTime = new fields.StringField({ required: true, initial: "X days", textSearch: true })
    schema.studySAN = new fields.StringField({ required: true, initial: "1d4", textSearch: true })
    schema.activationTime = new fields.StringField({ required: true, initial: "X turns", textSearch: true })
    schema.activationWP = new fields.StringField({ required: true, initial: "1d4", textSearch: true })
    schema.activationSAN = new fields.StringField({ required: true, initial: "1d6", textSearch: true })

    schema.description = new fields.HTMLField({ required: true, textSearch: true })
    
    return schema
  }

  /** @override */
  static LOCALIZATION_PREFIXES = ["CTHULHUETERNAL.Ritual"]

}
